{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  config = {
    # Mount the local disk
    fileSystems = lib.mkIf config.me.mountPersistence {
      "/.disk" = lib.mkForce {
        device = "/dev/nvme0n1p1";
        fsType = "ext4";
        options = [
          "noatime"
          "discard"
        ];
        neededForBoot = true;
      };

      "/.persist" = lib.mkForce {
        device = "bind9p";
        fsType = "9p";
        options = [
          "noatime"
          "trans=virtio"
          "version=9p2000.L"
          "cache=mmap"
          "msize=512000"
          # "noauto"
          # "x-systemd.automount"
        ];
        neededForBoot = true;
      };

      "/persist" = {
        fsType = "none";
        device = "/.persist/persist";
        options = [
          "bind"
          "rw"
        ];
        depends = [
          "/.persist/persist"
        ];
        neededForBoot = true;
      };

      "/state" = {
        fsType = "none";
        device = "/.persist/state";
        options = [
          "bind"
          "rw"
        ];
        depends = [
          "/.persist/state"
        ];
        neededForBoot = true;
      };

      "/k8spv" = lib.mkForce {
        device = "k8spv";
        fsType = "9p";
        options = [
          "noatime"
          "trans=virtio"
          "version=9p2000.L"
          "cache=mmap"
          "msize=512000"
          # "noauto"
          # "x-systemd.automount"
        ];
        neededForBoot = true;
      };

      "/disk" = {
        fsType = "none";
        device = "/.disk/persist";
        options = [
          "bind"
          "rw"
        ];
        depends = [
          "/.disk/persist"
        ];
        neededForBoot = true;
      };
    };
  };
}
